testing::WithParamInterface< T > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::WithParamInterface< T >:

## Public Types

typedef T | ParamType

## Public Member Functions

virtual | ~WithParamInterface ()

## Static Public Member Functions

static const ParamType & | GetParam ()

## Friends

template<class TestClass >
class | internal::ParameterizedTestFactory

## Detailed Description

### template<typename T>
class testing::WithParamInterface< T >

Definition at line 16470 of file gtest.h.

## Member Typedef Documentation

## ParamType

template<typename T >

typedef T testing::WithParamInterface< T >::ParamType

Definition at line 16472 of file gtest.h.

## Constructor & Destructor Documentation

## ~WithParamInterface()

template<typename T >

virtual testing::WithParamInterface< T >::~WithParamInterface | ( |  | ) |

inlinevirtual

Definition at line 16473 of file gtest.h.

## Member Function Documentation

## GetParam()

template<typename T >

static const ParamType& testing::WithParamInterface< T >::GetParam | ( |  | ) |

inlinestatic

Definition at line 16477 of file gtest.h.

## Friends And Related Function Documentation

## internal::ParameterizedTestFactory

template<typename T >
template<class TestClass >

friend class internal::ParameterizedTestFactory

friend

Definition at line 16495 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h